Subject: bug#44027: [PATCH] installer: Create bios_grub partition when it is needed.

From: Miguel Ángel Arruga Vivas <[email-masked]>
Date: Sun, 18 Oct 2020 17:52:00 +0200

Hi!

Brendan Tildesley <[email-masked]> writes:
> On 17/10/20 11:09 pm, Miguel Ángel Arruga Vivas wrote:
>> [...]
>> The attached patch solves that.  What do you think?
>>
>> Happy hacking,
>> Miguel
>
> I have tested the patch and the Installer mostly worked. One thing I
> noticed is that the partition scheme I was given automatically looks 
> like this:
>
> 1 537MB fat32 boot,esp /boot/efi EFI System Partition
> 2 3146Kb ext4 bios_grub
> 3 2001MB linux-swap
> 4 37.5GB ext4 /
>
> It is creating the bios_grub partition, but the EFI is still being
> made also. Is that necessary?

AFAIU from the code, the first partition should not be created by the
installer but it won't be removed if it was found on the disk
beforehand.  Tomorrow I'll give a try at the full installation process,
I must have overlooked something if it still being created in that
case...

Happy hacking!
Miguel